Subject: Re: Note about MUDs and Chat

From: Frank Hecker <[email-masked]>
Date: Mon, 7 Sep 1992 11:24:17 -0700

[Pardon my delay in replying to this; I've been away on business.]

[email-masked] (the piano has been drinking) writes:
> There are some moves toward bringing more services "inside the MUD",
> and using it as the total online environment shell. I am running
> TinyMUCK, which supports an internal programming language called
> 'MUF' for Multi User Forth (erg...). Whilst poking around the Internet
> looking for MUF archive sites, I found a huge implementation of an
> e-mail system and BBS in MUF.

I have been playing around with a version of LambdaMOO that Pavel
Curtis of Xerox PARC put out.  It has a minimal integrated email
facility, but nothing fancy.  Is the MUF-based email/bbs system well
integrated into the MUD virtuality, or is it basically a bolt-on
(i.e., you invoke it as a command, go into a totally different mode,
and then return to full MUD functionality only on exit)?

> There are also developments in graphic
> MUDs which look promising, so krusty folks like me can have the menus
> and accelerators we need and not have to resort to natural language,
> which can be very cumbersome when interfacing with a computer (as 
> opposed to interfacing with a human).

I'm curious as to which developments you're referring.  The book
_Cyberspace_ (edited by Michael Benedikt) has a good paper on the
Lucasfilm Habitat project, which is a MUD-like commercial system
intended for entertainment.  The Habitat system uses Commodore-64s as
graphical front-ends, with the graphics information being generated on
the C-64s are opposed to being downloaded from the host on each screen
(e.g., as does Prodigy), thus in theory allowing a range of graphical
interfaces depending on the capabilities of the front-end system.

> I have been getting some email from a couple of people who are interested
> in MUDs for educational purposes. Is there anyone out there who can
> point to any existing MUDs existing in classrooms or schools?
> Any papers written on the subject?

None that I've seen.  The paper mentioned above and the papers I noted
in my original posting are the only MUD-related papers I've found.

Frank

-- 
Frank Hecker
[email-masked]